dependencyResolutionManagement {
    repositoriesMode.set(RepositoriesMode.FAIL_ON_PROJECT_REPOS)

    repositories {
        // mux plugin location
        maven {
            url "https://muxinc.jfrog.io/artifactory/default-maven-release-local"
            content { includeGroup "com.mux" }
        }
        // youbora plugin
        maven {
            url "https://artifact.plugin.npaw.com/artifactory/plugins/android/"
            content { includeGroup "com.npaw.plugin" }
        }
        // we use some libs from jitpack for some demos
        maven {
            url "https://www.jitpack.io"
            content {
                includeGroup "com.github.PhilJay"
                includeGroup "com.github.Raizlabs.DBFlow"
                includeGroup "com.github.agrosner"
            }
        }
        maven {
            url "../repository"
        }
        mavenCentral()
        google()

    }

    versionCatalogs {
        castlabs {
            library('adobe', 'com.castlabs.player:adobe-plugin:4.5.0.rc2')
            library('broadpeak', 'com.castlabs.player:broadpeak-plugin:4.5.0.rc2')
            library('cast', 'com.castlabs.player:googlecast-plugin:4.5.0.rc2')
            library('channels', 'com.castlabs.player:channels-plugin:4.5.0.rc2')
            library('claws', 'com.castlabs.player:claws-plugin:4.5.0.rc2')
            library('commonconfig', 'com.castlabs.player:common-config-plugin:4.5.0.rc2')
            library('conviva', 'com.castlabs.player:conviva-plugin:4.5.0.rc2')
            library('core', 'com.castlabs.player:castlabs-sdk:4.5.0.rc2')
            library('crashlytics', 'com.castlabs.player:crashlytics-connector:4.5.0.rc2')
            library('debug', 'com.castlabs.player:debug-plugin:4.5.0.rc2')
            library('demoapputils', 'com.castlabs.player:demo-app-utils:4.5.0.rc2')
            library('devicetime', 'com.castlabs.player:drm-device-time-checker-plugin:4.5.0.rc2')
            library('downloader', 'com.castlabs.player:downloader-plugin:4.5.0.rc2')
            library('gstreamer', 'com.castlabs.player:gstreamer-plugin:4.5.0.rc2')
            library('hybridads', 'com.castlabs.player:hybridads:4.5.0.rc2')
            library('ima', 'com.castlabs.player:ima-plugin:4.5.0.rc2')
            library('mediasession', 'com.castlabs.player:mediasession-plugin:4.5.0.rc2')
            library('mux', 'com.castlabs.player:mux-plugin:4.5.0.rc2')
            library('nielsen', 'com.castlabs.player:nielsen-plugin:4.5.0.rc2')
            library('okhttp', 'com.castlabs.player:okhttp-plugin:4.5.0.rc2')
            library('playerui', 'com.castlabs.player:player-ui-plugin:4.5.0.rc2')
            library('sdkextensions', 'com.castlabs.player:castlabs-sdk-extensions:4.5.0.rc2')
            library('subtitles', 'com.castlabs.player:subtitles-plugin:4.5.0.rc2')
            library('subtitlesfonts', 'com.castlabs.player:subtitles-fonts:4.5.0.rc2')
            library('threesixty', 'com.castlabs.player:360-plugin:4.5.0.rc2')
            library('thumbnails', 'com.castlabs.player:thumbs-plugin:4.5.0.rc2')
            library('vimond', 'com.castlabs.player:vimond-plugin:4.5.0.rc2')
            library('youbora', 'com.castlabs.player:youbora-plugin:4.5.0.rc2')

        }

        demos {
            library('androidx.appcompat', 'androidx.appcompat:appcompat:1.6.1')
            library('androidx.cardview', 'androidx.cardview:cardview:1.0.0')
            library('androidx.constraintlayout', 'androidx.constraintlayout:constraintlayout:2.1.4')
            library('androidx.legacy', 'androidx.legacy:legacy-support-v4:1.0.0')
            library('androidx.lifecycle.extensions', 'androidx.lifecycle:lifecycle-extensions:2.2.0')
            library('androidx.lifecycle.viewmodel', 'androidx.lifecycle:lifecycle-viewmodel:2.7.0')
            library('androidx.lifecycle.viewmodel.ktx', 'androidx.lifecycle:lifecycle-viewmodel-ktx:2.7.0')
            library('androidx.mediarouter', 'androidx.mediarouter:mediarouter:1.7.0')
            library('androidx.preference.ktx', 'androidx.preference:preference-ktx:1.1.1')
            library('google.material', 'com.google.android.material:material:1.11.0')
            library('kotlin.bom', 'org.jetbrains.kotlin:kotlin-bom:1.9.22')
            library('kotlin.runtime', 'org.jetbrains.kotlin:kotlin-stdlib-jdk7:1.9.22')
            library('retrofit.core', 'com.squareup.retrofit2:retrofit:2.9.0')
            library('retrofit.gson', 'com.squareup.retrofit2:converter-gson:2.9.0')
            library('retrofit.scalars', 'com.squareup.retrofit2:converter-scalars:2.9.0')

        }

        exo {
            library('common', 'com.google.android.exoplayer:library-common:4.5.0.rc2-cl')
            library('core', 'com.google.android.exoplayer:library-core:4.5.0.rc2-cl')
            library('dash', 'com.google.android.exoplayer:library-dash:4.5.0.rc2-cl')
            library('extension.ima', 'com.google.android.exoplayer:extension-ima:4.5.0.rc2-cl')
            library('extractor', 'com.google.android.exoplayer:library-extractor:4.5.0.rc2-cl')
            library('gstreamer', 'com.google.android.exoplayer:library-gstreamer:4.5.0.rc2-cl')
            library('hls', 'com.google.android.exoplayer:library-hls:4.5.0.rc2-cl')
            library('iptv', 'com.google.android.exoplayer:library-iptv:4.5.0.rc2-cl')
            library('robolectricutils', 'com.google.android.exoplayer:robolectricutils:4.5.0.rc2-cl')
            library('smoothstreaming', 'com.google.android.exoplayer:library-smoothstreaming:4.5.0.rc2-cl')
            library('testdata', 'com.google.android.exoplayer:testdata:4.5.0.rc2-cl')
            library('ui', 'com.google.android.exoplayer:library-ui:4.5.0.rc2-cl')

        }

    }
}


include 'adobe_demo'
include 'broadpeak_demo'
include 'mux_demo'
include 'cast_demo'
include 'conviva_demo'
include 'downloads'
include 'hdcp_demo'
include 'mediasession_demo'
include 'demos'
include 'youbora_demo'
include 'subtitle_styles'
include 'analytics_demo'

